amiga-news ENGLISH VERSION
.
Links| Forum| Kommentare| News melden
.
Chat| Umfragen| Newsticker| Archiv
.

amiga-news.de Forum > Programmierung > SSL-Programmierung [ - Suche - Neue Beiträge - Registrieren - Login - ]

-1- [ - Beitrag schreiben - ]

13.01.2009, 15:43 Uhr

Honitos
Posts: 200
Nutzer
Hi Leute,

für eine Software benötige ich eine gesicherte HTTP-Verbindung via SSL.
Ich programmiere unter WinUAE.

Gibt es da eine API, mit der ich solche Verbindungen einfach herstellen kann ?

Schönen Gruss,

[ - Antworten - Zitieren - Direktlink - ]

13.01.2009, 17:39 Uhr

ZeroG
Posts: 1482
Nutzer
@Honitos:
AmiSSL?

[ - Antworten - Zitieren - Direktlink - ]

13.01.2009, 17:54 Uhr

Honitos
Posts: 200
Nutzer
Habe ich auch grade gefunden.

Allerdings benötige ich neben den 68k-Versionen der Libraries auch funktionierende FD-Files für die einzelnen Libs - ich habe nur für die amissl.lib eines gefunden, nicht jedoch für die amisslmaster.library...

;-(

[ - Antworten - Zitieren - Direktlink - ]

13.01.2009, 18:40 Uhr

ZeroG
Posts: 1482
Nutzer
@Honitos:
Was hast du denn da für ne SDK version? In der aktuellen 3.5 sind überhaupt keine fds mehr drin.

Vielleicht kann man die nachträglich aus den xml Dateien erzeugen (fd2pragma), wenn nicht schreib am besten mal ne EMail an den Author, der hat die ginger vielleicht einfach nur vergessen ins SDK zu packen.

[ - Antworten - Zitieren - Direktlink - ]

13.01.2009, 18:47 Uhr

Honitos
Posts: 200
Nutzer
@ZeroG:

Es gibt ein amissl_sdk.lha direkt auf der Seite, die auc hDu verlinkt oben hattest. Zu welcher Version das passt, weiß ich allerdings nicht, die enthaltenen fd-Dateien sind jedenfalls die selben, wie im sdk für SSL1.1

Vielleicht schaue ich mir MiamiSSL mal an, vielleicht gibt es da was, womit man sofort starten kann...

[ - Antworten - Zitieren - Direktlink - ]

13.01.2009, 18:55 Uhr

ZeroG
Posts: 1482
Nutzer
@Honitos:
Ich meine das:
Zitat:
AmiSSL v3


AmiSSL v3.5 is a part of AmigaOS 4 update 4
AmiSSL 3.6 68k installation archive
Developer material for AmiSSL v3

auch auf der Seite die ich verlinkt habe.

Das SDK für die v1 das du hast würde ich nicht benutzen und stattdessen lieber für die v3 entwickeln. Neuere SSL versionen sind im allgemeinen sicherer und verschlüsseln besser als alte. Außerdem zwinkt man sonst immer den Benutzer auch noch die veralteten AmiSSL versionen zu installieren.

[ - Antworten - Zitieren - Direktlink - ]

13.01.2009, 23:20 Uhr

Honitos
Posts: 200
Nutzer
Genau, und da sind die selben fd-files drin wie beim SDK von 1.1.
Und für die Hauptlibrary ist ganz ohne fd-File.

Schade eigentlich...

[ - Antworten - Zitieren - Direktlink - ]

14.01.2009, 08:55 Uhr

thomas
Posts: 7649
Nutzer
@Honitos:

Mit fd2pragma kannst du dir aus clib und pragmas eigene FD-Files bauen.

Gruß Thomas

--
Email: thomas-rapp@web.de
Home: thomas-rapp.homepage.t-online.de/

[ - Antworten - Zitieren - Direktlink - ]

14.01.2009, 17:07 Uhr

Honitos
Posts: 200
Nutzer
@thomas:

Danke für die Info !


[ - Antworten - Zitieren - Direktlink - ]


-1- [ - Beitrag schreiben - ]


amiga-news.de Forum > Programmierung > SSL-Programmierung [ - Suche - Neue Beiträge - Registrieren - Login - ]


.
Impressum | Datenschutzerklärung | Netiquette | Werbung | Kontakt
Copyright © 1997-2019 by amiga-news.de - alle Rechte vorbehalten.
.